using System;
using System.Collections.Generic;
using System.ComponentModel;
using APT.Infrastructure.Core;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 部门岗位
    /// </summary>
    [Description("部门岗位")]
    public partial class T_FM_DEPARTMENT_POST : MesEntityBase
    {
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航：部门
        /// </summary>
        [Description("导航：部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 人员
        /// </summary>
        [Description("导航：人员")]
        [FormFieldEdit]
        public virtual ICollection<T_FM_DEPARTMENT_POST_USER> Nav_Users { get; set; }
    }
}